Bug 1873345 - cloud-credential operator pod is in CrashLoopBackOff and blocking downgrade from 4.6 to 4.5
Summary: cloud-credential operator pod is in CrashLoopBackOff and blocking downgrade f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.5
Hardware: All
OS: All
high
high
Target Milestone: ---
: 4.5.z
Assignee: Joel Diaz
QA Contact: wang lin
URL:
Whiteboard:
Depends On: 1868376
Blocks: 1860922
TreeView+ depends on / blocked
 
Reported: 2020-08-28 00:25 UTC by Scott Dodson
Modified: 2020-09-14 14:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Moving from 4.5 to 4.6 some fields that were left to their defaults are now specified in 4.6. Consequence: This affects the ability to downgrade from 4.6 to 4.5. Fix: Rather than leave the fields unspecified in 4.5, explicitly specify the default values so that on a downgrade attempt, those fields are restored to what they should be for 4.5. Result: Downgrading from 4.6 to 4.5 can succeed.
Clone Of: 1868376
Environment:
Last Closed: 2020-09-14 14:54:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 240 None closed Bug 1873345: specify a serviceaccount in the deployment 2020-09-11 14:22:26 UTC
Red Hat Product Errata RHBA-2020:3618 None None None 2020-09-14 14:54:48 UTC

Comment 5 errata-xmlrpc 2020-09-14 14:54:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3618


Note You need to log in before you can comment on or make changes to this bug.